import { McmaApiRouteCollection } from "@mcma/api";
import { Request, Response } from "express";
import { EnvironmentVariables, LoggerProvider } from "@mcma/core";
export declare class HttpFunctionApiController {
    private loggerProvider?;
    private environmentVariables;
    private mcmaApiController;
    constructor(routes: McmaApiRouteCollection, loggerProvider?: LoggerProvider, environmentVariables?: EnvironmentVariables);
    handleRequest(request: Request, response: Response): Promise<void>;
}
